using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Data;
using VBNET = Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System.Linq;
using System.Collections.Generic;

namespace FMSStore_Bus
{
   public class Product
   {
      private const string m_modName = "FMSStore_Bus.Product";
      public gmRTL.DataLib.SqlClient.Recordset FindByDescription(string Description)
      {
         gmRTL.DataLib.SqlClient.Recordset FindByDescription = default;

         FMSStore_DB.Product obj = null;
         try
         {
            gmRTL.Core.GlobalException.Clear();


            obj = new FMSStore_DB.Product();
            FindByDescription = obj.FindByDescription(Description);
            obj = null;


            return FindByDescription;

         }
         catch(System.Exception exc)
         {
            gmRTL.Core.GlobalException.Initialize(exc);
            obj = null;

            FMStocks_DB.Helpers.RaiseError(m_modName,"FindByDescription(" + Description + ")",String.Empty,0,false);
         }
         return FindByDescription;
      }
      public gmRTL.DataLib.SqlClient.Recordset GetBySKU(int SKU)
      {
         gmRTL.DataLib.SqlClient.Recordset GetBySKU = default;

         FMSStore_DB.Product obj = null;
         try
         {
            gmRTL.Core.GlobalException.Clear();


            obj = new FMSStore_DB.Product();
            GetBySKU = obj.GetBySKU(SKU);
            obj = null;


            return GetBySKU;

         }
         catch(System.Exception exc)
         {
            gmRTL.Core.GlobalException.Initialize(exc);
            obj = null;

            FMStocks_DB.Helpers.RaiseError(m_modName,"GetBySKU(" + SKU + ")",String.Empty,0,false);
         }
         return GetBySKU;
      }
      public gmRTL.DataLib.SqlClient.Recordset List()
      {
         gmRTL.DataLib.SqlClient.Recordset List = default;

         FMSStore_DB.Product obj = null;
         try
         {
            gmRTL.Core.GlobalException.Clear();


            obj = new FMSStore_DB.Product();
            List = obj.List();
            obj = null;


            return List;

         }
         catch(System.Exception exc)
         {
            gmRTL.Core.GlobalException.Initialize(exc);
            obj = null;

            FMStocks_DB.Helpers.RaiseError(m_modName,"List()",String.Empty,0,false);
         }
         return List;
      }
   }
}
